Loading...
Searching...
No Matches
memory.h File Reference
Module common
`#include <pcl/type_traits.h>`
`#include <pcl/pcl_config.h>`
`#include <Eigen/Core>`
`#include <memory>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Detailed Description

Defines functions, macros and traits for allocating and using memory.

Definition in file memory.h.

## Namespaces

namespace | pcl

## Macros

#define | PCL_MAKE_ALIGNED_OPERATOR_NEW
| Macro to signal a class requires a custom allocator.

## Functions

template<typename T, typename ... Args>
shared_ptr< T > | pcl::make_shared (Args &&... args)
| Returns a pcl::shared_ptr compliant with type T's allocation policy.